EndpunktePurchasingPurchase orders
Create a draft or ordered purchase order
Die API läuft auf deiner Anwendungsinstanz. Schemas und Feldnamen stammen unverändert aus der OpenAPI-Spezifikation. Browsergebundene Aufrufe benötigen eine Sitzung auf der Instanz.
POST
bearerAuthheader
AuthentifizierungBearer <inv_ token>Idempotency-Key*stringUUID identifying this atomic operation; reuse it only to retry the exact same request.
Format
uuidX-Organization-ID?stringOrganization membership selected for this request. User-bound credentials may select any active membership; standalone tokens may only repeat their pinned organization ID.
Format
uuidapplication/json- body
reference?|Länge
length <= 160contactId?|Format
uuidsupplier?stringLänge
length <= 240status?stringMögliche Werte
"draft""ordered"orderedAt?stringFormat
date-timeexpectedAt?|Format
date-timenote?stringLänge
length <= 20000lines*array<|>Einträge
1 <= items <= 100Replayed the original purchase-order response
curl -X POST 'https://inventory.example.com/api/v1/purchase-orders' \ -H 'Idempotency-Key: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{ "lines": [ { "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6" } ]}'Beispielantwort
Leer